{% extends 'hi960-hikey.jinja2' %}
{% set adb_serial_number = '2DAC956A01A9B8F0' %}
{% set fastboot_serial_number = '2DAC956A01A9B8F0' %}
{% set device_info = [{'board_id': '2DAC956A01A9B8F0', 'usb_vendor_id': '18d1'}] %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet linaro-jammy 7000'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set interrupt_prompt = 'Android Fastboot mode' %}
{% set interrupt_string = "' '" %}
{% set fastboot_options = ['-S', '256M'] %}
{% set power_on_command = 'ssh pi@192.168.31.193 relay-module.py -c CH1 -s on' %}
{% set power_off_command = 'ssh pi@192.168.31.193 relay-module.py -c CH1 -s off' %}
{% set soft_reset_command = 'fastboot -u -s 2DAC956A01A9B8F0 reboot' %}
{% set hard_reset_command = 'ssh pi@192.168.31.193 relay-module.py -c CH1 -s reboot' %}
{% set pre_power_command = 'ssh pi@192.168.31.193 relay-module.py -c CH2 -s on' %}
{% set pre_os_command = 'ssh pi@192.168.31.193 relay-module.py -c CH2 -s off' %}

{% set sync_to_lava = {'device_type': 'hi960-hikey', 'worker': 'linaro-jammy', 'tags': [], 'aliases': []} %}